## Send an email `client.emailSending.send(EmailSendingSendParamsparams, RequestOptionsoptions?): EmailSendingSendResponse` **post** `/accounts/{account_id}/email/sending/send` Send an email for the specified account using the structured builder. Provide the sender, recipients, subject, and at least one of text or html; attachments are optional. ### Parameters - `params: EmailSendingSendParams` - `account_id: string` Path param: Identifier of the account. - `from: string | EmailSendingEmailAddressObject` Body param: Sender email address. Either a plain string or an object with address and name. - `string` - `EmailSendingEmailAddressObject` - `address: string` Email address (e.g., 'user@example.com'). - `name?: string | null` Display name for the email address (e.g., 'John Doe'). Optional; set to null or leave it unset to send the address on its own. - `subject: string` Body param: Email subject line. - `attachments?: Array` Body param: File attachments and inline images. - `EmailSendingEmailInlineAttachment` - `content: string` Base64-encoded content of the attachment. - `content_id: string` Content ID used to reference this attachment in HTML via cid: URI (e.g., ). - `disposition: "inline"` Must be 'inline'. Embeds the attachment in the email body. - `"inline"` - `filename: string` Filename for the attachment. - `type: string` MIME type of the attachment (e.g., 'image/png', 'text/plain'). - `EmailSendingEmailAttachment` - `content: string` Base64-encoded content of the attachment. - `disposition: "attachment"` Must be 'attachment'. Adds a standard file attachment. - `"attachment"` - `filename: string` Filename for the attachment. - `type: string` MIME type of the attachment (e.g., 'application/pdf', 'text/plain'). - `bcc?: string | EmailSendingEmailAddressObject | Array` Body param: BCC recipient(s). A single email string, a named address object, or an array of either. - `string` - `EmailSendingEmailAddressObject` - `address: string` Email address (e.g., 'user@example.com'). - `name?: string | null` Display name for the email address (e.g., 'John Doe'). Optional; set to null or leave it unset to send the address on its own. - `Array` - `string` - `EmailSendingEmailAddressObject` - `address: string` Email address (e.g., 'user@example.com'). - `name?: string | null` Display name for the email address (e.g., 'John Doe'). Optional; set to null or leave it unset to send the address on its own. - `cc?: string | EmailSendingEmailAddressObject | Array` Body param: CC recipient(s). A single email string, a named address object, or an array of either. - `string` - `EmailSendingEmailAddressObject` - `address: string` Email address (e.g., 'user@example.com'). - `name?: string | null` Display name for the email address (e.g., 'John Doe'). Optional; set to null or leave it unset to send the address on its own. - `Array` - `string` - `EmailSendingEmailAddressObject` - `address: string` Email address (e.g., 'user@example.com'). - `name?: string | null` Display name for the email address (e.g., 'John Doe'). Optional; set to null or leave it unset to send the address on its own. - `headers?: Record` Body param: Custom email headers as key-value pairs. - `html?: string` Body param: HTML body of the email. Provide at least one of text or html (non-empty). - `reply_to?: string | EmailSendingEmailAddressObject` Body param: Reply-to address. Either a plain string or an object with address and name. - `string` - `EmailSendingEmailAddressObject` - `address: string` Email address (e.g., 'user@example.com'). - `name?: string | null` Display name for the email address (e.g., 'John Doe'). Optional; set to null or leave it unset to send the address on its own. - `text?: string` Body param: Plain text body of the email. Provide at least one of text or html (non-empty). - `to?: string | EmailSendingEmailAddressObject | Array` Body param: Recipient(s). Optional if cc or bcc is provided. A single email string, a named address object, or an array of either. - `string` - `EmailSendingEmailAddressObject` - `address: string` Email address (e.g., 'user@example.com'). - `name?: string | null` Display name for the email address (e.g., 'John Doe'). Optional; set to null or leave it unset to send the address on its own. - `Array` - `string` - `EmailSendingEmailAddressObject` - `address: string` Email address (e.g., 'user@example.com'). - `name?: string | null` Display name for the email address (e.g., 'John Doe'). Optional; set to null or leave it unset to send the address on its own. ### Returns - `EmailSendingSendResponse` - `delivered: Array` Email addresses to which the message was delivered immediately. - `message_id: string` Message ID of the sent email. - `permanent_bounces: Array` Email addresses that permanently bounced. - `queued: Array` Email addresses for which delivery was queued for later. ### Example ```typescript import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.emailSending.send({ account_id: 'account_id', from: 'sender@example.com', subject: 'Monthly Report', }); console.log(response.message_id); ``` #### Response ```json { "errors": [ { "code": 0, "message": "message" } ], "messages": [ { "code": 0, "message": "message" } ], "result": { "delivered": [ "recipient@example.com" ], "message_id": "", "permanent_bounces": [ "string" ], "queued": [ "string" ] }, "success": true, "result_info": { "count": 0, "per_page": 0, "total_count": 0, "cursor": "cursor", "page": 0 } } ```